using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Entities.Groups
{
    /// <summary>
    /// 团组 - 出入境费用 - 子项
    /// </summary>
    [SugarTable("Grp_DayAndCost")]
    public class Grp_DayAndCost : EntityBase
    {
        /// <summary>
        /// 团组Id
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int DiId { get; set; }

        /// <summary>
        /// 类型:1为住宿费;2为伙食费;3为公杂费;4培训费用
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int Type { get; set; }

        /// <summary>
        /// 天数
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int Days { get; set; }

        /// <summary>
        /// 地名Id
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int NationalTravelFeeId { get; set; }

        /// <summary>
        /// 地名 - 弃用字段不删
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(100)")]
        public string? Place { get; set; }

        /// <summary>
        /// 费用标准
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10,2)")]
        public decimal Cost { get; set; }

        /// <summary>
        /// 币种
        /// Sys_SetData STid = 66
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int Currency { get; set; }

        /// <summary>
        /// 小计
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(10,2)")]
        public decimal SubTotal { get; set; }
    }
}
